Bug 47378 - New Port: graphics/OpenEXR (ILM's high dynamic-range image file format toolkit)
Summary: New Port: graphics/OpenEXR (ILM's high dynamic-range image file format toolkit)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-22 23:30 UTC by Miguel Mendez
Modified: 2003-01-27 16:49 UTC (History)
0 users

See Also:


Attachments
OpenEXR.shar (5.61 KB, text/plain)
2003-01-22 23:30 UTC, Miguel Mendez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mendez 2003-01-22 23:30:07 UTC
OpenEXR is a high dynamic-range (HDR) image file format developed by 
Industrial Light & Magic for use in computer imaging applications.

OpenEXR has already been used by ILM on 4 major motion pictures -- 
Harry Potter and the Sorcerer's Stone, Men in Black II, Gangs of 
New York, and Signs -- and is also being used on several other movies 
currently in production. 

WWW: http://www.openexr.com/
Comment 1 corecode@corecode.ath.cx 2003-01-23 09:44:47 UTC
Lately Miguel Mendez told:

nono mr. flynn, this won't work. i watch yoo! :)

> sed 's/^X//' >OpenEXR/Makefile << 'END-of-OpenEXR/Makefile'
> X# New ports collection makefile for:   	OpenEXR
> X# Date created:				23 January 2003
> X# Whom:                			Miguel Mendez <flynn@energyhq.homeip.net>
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=	OpenEXR
> XPORTVERSION=	1.0.4
> XCATEGORIES=	graphics
> XMASTER_SITES=	http://savannah.nongnu.org/download/openexr/${PORTNAME}.pkg/${PORTVERSION}/
> X
> XMAINTAINER=	flynn@energyhq.homeip.net
> X
> XLIB_DEPENDS=	fltk.1:${PORTSDIR}/x11-toolkits/fltk
> X
> XCONFIGURE_ENV=  CXXFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
                 ^^ use tab
> X		LDFLAGS="-L${LOCALBASE}/lib"
> XCONFIGURE_TARGET=       --target=${MACHINE_ARCH}-unknown-freebsd${OSREL}
                    ^^^^^^^ here too
> XCONFIGURE_ARGS=		--program-transform-name=''
> X
> XUSE_X_PREFIX=	yes
> XGNU_CONFIGURE=	yes
> X
> X.include <bsd.port.mk>
> END-of-OpenEXR/Makefile
[...]
> sed 's/^X//' >OpenEXR/pkg-comment << 'END-of-OpenEXR/pkg-comment'
> XOpenEXR high dynamic-range (HDR) image file format tookit
   ^^^^^^^ not needed (remember pkg_info output? :p)
[...]
> sed 's/^X//' >OpenEXR/pkg-plist << 'END-of-OpenEXR/pkg-plist'
[...]
> Xlib/libHalf.so.0
> Xlib/libHalf.so
> Xlib/libHalf.la
> Xlib/libHalf.a
*scream*
INSTALLS_SHLIB=	yes
USE_LIBTOOL=	yes ?

advice for porting beginners: use portlint -abNt ;)

cheers
  simon

ps: j/k

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Miguel Mendez 2003-01-23 10:34:11 UTC
On Thu, 23 Jan 2003 10:44:47 +0100
"Simon 'corecode' Schubert" <corecode@corecode.ath.cx> wrote:

> Lately Miguel Mendez told:
> 
> nono mr. flynn, this won't work. i watch yoo! :)

You're right, it was late, use this shar instead...

Cheers,
-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
        Of course it runs NetBSD!

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	OpenEXR
#	OpenEXR/Makefile
#	OpenEXR/distinfo
#	OpenEXR/pkg-comment
#	OpenEXR/pkg-descr
#	OpenEXR/pkg-plist
#	OpenEXR/files
#	OpenEXR/files/patch-aa
#
echo c - OpenEXR
mkdir -p OpenEXR > /dev/null 2>&1
echo x - OpenEXR/Makefile
sed 's/^X//' >OpenEXR/Makefile << 'END-of-OpenEXR/Makefile'
X# New ports collection makefile for:   	OpenEXR
X# Date created:				23 January 2003
X# Whom:                			Miguel Mendez <flynn@energyhq.homeip.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	OpenEXR
XPORTVERSION=	1.0.4
XCATEGORIES=	graphics
XMASTER_SITES=	http://savannah.nongnu.org/download/openexr/${PORTNAME}.pkg/${PORTVERSION}/
X
XMAINTAINER=	flynn@energyhq.homeip.net
X
XLIB_DEPENDS=	fltk.1:${PORTSDIR}/x11-toolkits/fltk
X
XCONFIGURE_ENV=	CXXFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
X		LDFLAGS="-L${LOCALBASE}/lib"
XCONFIGURE_TARGET=	--target=${MACHINE_ARCH}-unknown-freebsd${OSREL}
XCONFIGURE_ARGS=		--program-transform-name=''
X
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XINSTALLS_SHLIB=	yes
XUSE_LIBTOOL=	yes
X
X.include <bsd.port.mk>
END-of-OpenEXR/Makefile
echo x - OpenEXR/distinfo
sed 's/^X//' >OpenEXR/distinfo << 'END-of-OpenEXR/distinfo'
XMD5 (OpenEXR-1.0.4.tar.gz) = b480452f132dea4747293cf2bd5eccda
END-of-OpenEXR/distinfo
echo x - OpenEXR/pkg-comment
sed 's/^X//' >OpenEXR/pkg-comment << 'END-of-OpenEXR/pkg-comment'
XHigh dynamic-range (HDR) image file format tookit
END-of-OpenEXR/pkg-comment
echo x - OpenEXR/pkg-descr
sed 's/^X//' >OpenEXR/pkg-descr << 'END-of-OpenEXR/pkg-descr'
XOpenEXR is a high dynamic-range (HDR) image file format developed by 
XIndustrial Light & Magic for use in computer imaging applications.
X
XOpenEXR has already been used by ILM on 4 major motion pictures -- 
XHarry Potter and the Sorcerer's Stone, Men in Black II, Gangs of 
XNew York, and Signs -- and is also being used on several other movies 
Xcurrently in production. 
X
XWWW: http://www.openexr.com/
X
X-- Miguel Mendez
Xflynn@energyhq.homeip.net
END-of-OpenEXR/pkg-descr
echo x - OpenEXR/pkg-plist
sed 's/^X//' >OpenEXR/pkg-plist << 'END-of-OpenEXR/pkg-plist'
Xbin/exrdisplay
Xinclude/OpenEXR/half.h
Xinclude/OpenEXR/halfFunction.h
Xinclude/OpenEXR/halfLimits.h
Xinclude/OpenEXR/IexBaseExc.h
Xinclude/OpenEXR/IexMathExc.h
Xinclude/OpenEXR/IexThrowErrnoExc.h
Xinclude/OpenEXR/IexErrnoExc.h
Xinclude/OpenEXR/IexMacros.h
Xinclude/OpenEXR/Iex.h
Xinclude/OpenEXR/ImfAttribute.h
Xinclude/OpenEXR/ImfBoxAttribute.h
Xinclude/OpenEXR/ImfCRgbaFile.h
Xinclude/OpenEXR/ImfChannelList.h
Xinclude/OpenEXR/ImfChannelListAttribute.h
Xinclude/OpenEXR/ImfCompressionAttribute.h
Xinclude/OpenEXR/ImfDoubleAttribute.h
Xinclude/OpenEXR/ImfFloatAttribute.h
Xinclude/OpenEXR/ImfFrameBuffer.h
Xinclude/OpenEXR/ImfHeader.h
Xinclude/OpenEXR/ImfIO.h
Xinclude/OpenEXR/ImfInputFile.h
Xinclude/OpenEXR/ImfIntAttribute.h
Xinclude/OpenEXR/ImfLineOrderAttribute.h
Xinclude/OpenEXR/ImfMatrixAttribute.h
Xinclude/OpenEXR/ImfOpaqueAttribute.h
Xinclude/OpenEXR/ImfOutputFile.h
Xinclude/OpenEXR/ImfRgbaFile.h
Xinclude/OpenEXR/ImfStringAttribute.h
Xinclude/OpenEXR/ImfVecAttribute.h
Xinclude/OpenEXR/ImfHuf.h
Xinclude/OpenEXR/ImfWav.h
Xinclude/OpenEXR/ImfLut.h
Xinclude/OpenEXR/ImfArray.h
Xinclude/OpenEXR/ImfCompression.h
Xinclude/OpenEXR/ImfLineOrder.h
Xinclude/OpenEXR/ImfName.h
Xinclude/OpenEXR/ImfPixelType.h
Xinclude/OpenEXR/ImfVersion.h
Xinclude/OpenEXR/ImfXdr.h
Xinclude/OpenEXR/ImathVec.h
Xinclude/OpenEXR/ImathColorAlgo.h
Xinclude/OpenEXR/ImathMatrixAlgo.h
Xinclude/OpenEXR/ImathShear.h
Xinclude/OpenEXR/ImathFun.h
Xinclude/OpenEXR/ImathBox.h
Xinclude/OpenEXR/ImathBoxAlgo.h
Xinclude/OpenEXR/ImathEuler.h
Xinclude/OpenEXR/ImathExc.h
Xinclude/OpenEXR/ImathLimits.h
Xinclude/OpenEXR/ImathLine.h
Xinclude/OpenEXR/ImathLineAlgo.h
Xinclude/OpenEXR/ImathMatrix.h
Xinclude/OpenEXR/ImathPlane.h
Xinclude/OpenEXR/ImathSphere.h
Xinclude/OpenEXR/ImathVecAlgo.h
Xinclude/OpenEXR/ImathQuat.h
Xinclude/OpenEXR/ImathFrustum.h
Xinclude/OpenEXR/ImathMath.h
Xinclude/OpenEXR/ImathGL.h
Xinclude/OpenEXR/ImathColor.h
Xinclude/OpenEXR/ImathRandom.h
Xinclude/OpenEXR/ImathRoots.h
Xinclude/OpenEXR/ImathHalfLimits.h
Xinclude/OpenEXR/ImathInterval.h
Xinclude/OpenEXR/ImathGLU.h
Xinclude/OpenEXR/ImathFrame.h
Xlib/libHalf.so.0
Xlib/libHalf.so
Xlib/libHalf.la
Xlib/libHalf.a
Xlib/libIex.so.0
Xlib/libIex.so
Xlib/libIex.la
Xlib/libIex.a
Xlib/libIlmImf.so.0
Xlib/libIlmImf.so
Xlib/libIlmImf.la
Xlib/libIlmImf.a
Xlib/libImath.so.0
Xlib/libImath.so
Xlib/libImath.la
Xlib/libImath.a
Xlib/pkgconfig/OpenEXR.pc
X@dirrm include/OpenEXR
END-of-OpenEXR/pkg-plist
echo c - OpenEXR/files
mkdir -p OpenEXR/files > /dev/null 2>&1
echo x - OpenEXR/files/patch-aa
sed 's/^X//' >OpenEXR/files/patch-aa << 'END-of-OpenEXR/files/patch-aa'
X--- configure.orig	Tue Jan 21 09:47:43 2003
X+++ configure	Wed Jan 22 23:47:44 2003
X@@ -9631,13 +9631,6 @@
X   echo "$as_me:$LINENO: \$? = $ac_status" >&5
X   (exit $ac_status); }; }; then
X   :
X-else
X-  echo "$as_me: program exited with status $ac_status" >&5
X-echo "$as_me: failed program was:" >&5
X-sed 's/^/| /' conftest.$ac_ext >&5
X-
X-( exit $ac_status )
X-no_fltk=yes
X fi
X rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
X fi
X@@ -10533,7 +10526,6 @@
X echo "$as_me:$LINENO: checking for gcc optimization flags" >&5
X echo $ECHO_N "checking for gcc optimization flags... $ECHO_C" >&6
X old_cflags=$CFLAGS
X-CFLAGS="$CFLAGS -O2 -funroll-loops -pipe"
X cat >conftest.$ac_ext <<_ACEOF
X #line $LINENO "configure"
X /* confdefs.h.  */
END-of-OpenEXR/files/patch-aa
exit
Comment 3 Tilman Keskinoz freebsd_committer 2003-01-26 13:35:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

nork committed a different version. Perhaps he wants to merge some ideas from this PR
Comment 4 Norikatsu Shigemura freebsd_committer 2003-01-27 04:05:06 UTC
On Sun, 26 Jan 2003 05:37:13 -0800 (PST)
Tilman Linneweh <arved@FreeBSD.org> wrote:

> Synopsis: New Port: graphics/OpenEXR (ILM's  high dynamic-range image file format toolkit)
> Responsible-Changed-From-To: freebsd-ports-bugs->nork
> Responsible-Changed-By: arved
> Responsible-Changed-When: Sun Jan 26 05:35:30 PST 2003
> Responsible-Changed-Why: 
> nork committed a different version. Perhaps he wants to merge some ideas from this PR

	Sorry, I didn't notice this PR.  Tilman, thanks you for reminding.
	I'll commit the results of this PR.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=47378
Comment 5 Norikatsu Shigemura freebsd_committer 2003-01-27 04:08:42 UTC
On Mon, 27 Jan 2003 13:05:06 +0900
Norikatsu Shigemura <nork@FreeBSD.org> wrote:
> 	I'll commit the results of this PR.

	Miguel, do you maintain this port?
Comment 6 Miguel Mendez 2003-01-27 10:33:18 UTC
On Mon, 27 Jan 2003 13:08:42 +0900
Norikatsu Shigemura <nork@FreeBSD.org> wrote:

Hi,

> On Mon, 27 Jan 2003 13:05:06 +0900
> Norikatsu Shigemura <nork@FreeBSD.org> wrote:
> > 	I'll commit the results of this PR.
> 
> 	Miguel, do you maintain this port?

I happened to submit my PR one day before yours, but I like your
solution better, since it allows a build without the FTLK dependent
program.  

Cheers,
-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
        Of course it runs NetBSD!
Comment 7 Norikatsu Shigemura freebsd_committer 2003-01-27 16:49:24 UTC
State Changed
From-To: open->closed

Committed, thanks!